summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Beierlein <tomjbe@gentoo.org>2015-09-07 15:44:57 +0200
committerThomas Beierlein <tomjbe@gentoo.org>2015-09-07 15:46:22 +0200
commitaa52576f100df036dd2facaeaeb3ff4868b0016c (patch)
tree64f84432a53b954917b4b46bf1ad9e484af34779 /sci-electronics/gtkwave
parentdev-lang/php: x86 stable wrt bug #559612 (diff)
downloadgentoo-aa52576f100df036dd2facaeaeb3ff4868b0016c.tar.gz
gentoo-aa52576f100df036dd2facaeaeb3ff4868b0016c.tar.bz2
gentoo-aa52576f100df036dd2facaeaeb3ff4868b0016c.zip
sci-electronics/gtkwave: Version bump
Diffstat (limited to 'sci-electronics/gtkwave')
-rw-r--r--sci-electronics/gtkwave/Manifest1
-rw-r--r--sci-electronics/gtkwave/gtkwave-3.3.66.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/sci-electronics/gtkwave/Manifest b/sci-electronics/gtkwave/Manifest
index 17cc3830cb4..0aa08389164 100644
--- a/sci-electronics/gtkwave/Manifest
+++ b/sci-electronics/gtkwave/Manifest
@@ -3,3 +3,4 @@ DIST gtkwave-3.3.47.tar.gz 3832052 SHA256 b39c018f668070a0fdd3906c73a9add4ccbffd
DIST gtkwave-3.3.59.tar.gz 4083000 SHA256 caba829abdbc4a4df7cc932695aed87037d656f62cd5831b531d13453034a984 SHA512 5def8eef767b292bc1e09dc7b5a7151b6f492b6e5b744e1b8e563ac3731073721fdce180b85bbc2c8dd7ecaf757a9a67bd3a809c55e522befa74d5d74f815b3d WHIRLPOOL 0b2b4ee8cc6d59eb335c805535b40439bd8034b62b693c9ceb7f868fcee97ed7a3075b00eb9ab36cbe9b475c5134c0d75a022da8bd99e77db34e48d91a241cfc
DIST gtkwave-3.3.64.tar.gz 4090345 SHA256 dae956b3e55dc9b5d2bafe11fcf9b8606870d76f0719202fd04b678160d37115 SHA512 34150741942d2b82a5f937cf12b1793e04aea0444acaf4a4ba1c61e5bb70727d5990438833ee4d25fef81362929d0607ebd7fddb8fd178f437cafdf9c09e989f WHIRLPOOL 137eb908d004a1305d12b96b06d589525f82d69172d87434bb06fd5a8ff05e7bfc0f0d0746e9470337c636d5ce16e410d78b8b01d923bf3a4ed1030d71c89373
DIST gtkwave-3.3.65.tar.gz 4092871 SHA256 64eb091e70c83bf03df14e01d338151e888fb4099c4695c2e6e40ce27d249bd5 SHA512 5aba36c9b9ff6353115ce5660b3dd61fba96ef2bc420483e194ad7a0d97b6f0a4453db20188c12af1c333ecbeee43f7ebe5b4bd166864a003995687a497a14ff WHIRLPOOL e5aac94e9c65aa1bedffa3febac38402f51c4c84237f39d703a9f1860a981dae308109935add36f4f0881ce7c491f2aaac0b52c54bc85ca025c9518d901df344
+DIST gtkwave-3.3.66.tar.gz 4093766 SHA256 04ce0851ebcf7ce07506c6e34af878ebf0c5a09495035a71e881fe6ff2abb99e SHA512 6c91efcbd240efceb770882eb0d1ccf5195b40207714432882fdaf35108e05860a5b00b7e922f95f537b01be335e8b4026e3ba6dcf02e235ff3b20f2082e7b81 WHIRLPOOL 6d4927d9b9e19f9ca128d9339b0e5c0ceec3b4ca2644ad38c861ff6f1896a5ba9a2c4c28b367413da6d255d6799748e7dfef0222ff3d6b3a4aa041661dee9d74
diff --git a/sci-electronics/gtkwave/gtkwave-3.3.66.ebuild b/sci-electronics/gtkwave/gtkwave-3.3.66.ebuild
new file mode 100644
index 00000000000..a83cf14427b
--- /dev/null
+++ b/sci-electronics/gtkwave/gtkwave-3.3.66.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils fdo-mime toolchain-funcs
+
+DESCRIPTION="A wave viewer for LXT, LXT2, VZT, GHW and standard Verilog VCD/EVCD files"
+HOMEPAGE="http://gtkwave.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+IUSE="doc examples fasttree fatlines judy lzma packed tcl"
+LICENSE="GPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="dev-libs/glib:2
+ x11-libs/gtk+:2
+ x11-libs/pango
+ sys-libs/zlib
+ judy? ( dev-libs/judy )
+ tcl? ( dev-lang/tcl:0 dev-lang/tk:0 )
+ lzma? ( app-arch/xz-utils )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ dev-util/gperf"
+
+AT_M4DIR="${S}"
+
+src_prepare(){
+ # do not install doc and examples by default
+ sed -i -e 's/doc examples//' Makefile.in || die
+}
+
+src_configure(){
+ econf --disable-local-libz \
+ --disable-local-libbz2 \
+ --disable-mime-update \
+ --enable-largefile \
+ $(use_enable packed struct-pack) \
+ $(use_enable fatlines) \
+ $(use_enable tcl) \
+ $(use_enable lzma xz) \
+ $(use_enable fasttree) \
+ $(use_enable judy)
+}
+
+src_compile() {
+ emake AR=$(tc-getAR)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dodoc ChangeLog README
+ if use doc ; then
+ insinto /usr/share/doc/${PF}
+ doins "doc/${PN}.odt"
+ fi
+ if use examples ; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}